<template>
  <div class="hello"></div>
</template>

<script>
  import {jssdk, shareContent, select_user_signup, liinShare} from "@/components/axios/api";

  export default {
    name: "HelloWorld",
    props: {
      msg: String
    },
    mounted() {
      this.getConfig();
      this.checkUserJoin();
      this.liinShare();
    },
    methods: {
      // 微信分参数
      getConfig() {
        // if (sessionStorage.getItem("jssdk_ready") || !window["userData"]) {
        //   return;
        // }
        let url = location.href.split("#")[0]; //获取锚点之前的链接
        // url = url.split("?")[0];
        console.log("jssdk注入1", url);
        jssdk(url).then(response => {
          let res = response.data;
          this.wxInit(res);
        });
      },
      wxConfig() {
        // console.log(wx);
        // wx.config({
        //   debug: false,
        //   appId: "",
        //   timestamp: "",
        //   nonceStr: "",
        //   signature: "",
        //   jsApiList: [
        //     "onMenuShareTimeline",
        //     "onMenuShareAppMessage",
        //     "onMenuShareQQ",
        //     "onMenuShareWeibo",
        //     "onMenuShareQZone",
        //     "updateTimelineShareData"
        //   ]
        // });
      },
      // 微信分享
      wxInit(res) {
        let url = location.href.split("#")[0]; //获取锚点之前的链接
        // url = url.split("?")[0];
        let links = url + "#/SignUp";
        let title = "测试标题";
        let desc = "测试描述";
        let imgUrl = "";
        console.log("获取jssdk数据", res);

        wx.config({
          debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
          appId: "wxd1aab06cc88d0a5e", // 必填，公众号的唯一标识
          timestamp: res.timestamp, // 必填，生成签名的时间戳
          nonceStr: res.nonceStr, // 必填，生成签名的随机串
          signature: res.signature, // 必填，签名
          jsApiList: [
            "onMenuShareTimeline",
            "updateTimelineShareData",
            "updateAppMessageShareData",
            "chooseWXPay",
            "onMenuShareAppMessage",
          ] // 必填，需要使用的JS接口列表
        });
        wx.ready( ()=> {
          console.log("jssdk注入成功");
          let links = `${
            location.href.split("#")[0].split("?")[0]
            }?test=1&`;
          shareContent("free_contract").then(res => {
            let result = res.data;
            console.log("分享内容", result, links);
            let option1 = {
              title: result.title, // 分享标题
              desc: result.desc, // 分享描述
              link: links, // 分享链接
              imgUrl: result.img_url, // 分享图标
              success: function (res) {
                console.log("option1Success", res)
              }
            }
            wx.updateAppMessageShareData(option1);
            //微信分享菜单测试
            let option3 = {
              title: result.title, // 分享标题
              desc: result.desc, // 分享描述
              link: links, // 分享链接
              imgUrl: result.img_url, // 分享图标
              success: function (res) {
                console.log("option3Success", res)
              }
            }
            wx.onMenuShareAppMessage(option3);
            let option4 = {
              title: result.title, // 分享标题
              link: links, // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
              imgUrl: result.img_url, // 分享图标
              success: function (res) {
                console.log("option4Success", res)
              },
              fail: (err) => {
                console.log("option4error", err)
              }
            }
            // wx.onMenuShareTimeline(option4);

          });
          console.log("this.$router.history.current.name",this.$router)
          if (this.$router.history.current.name != "Daka") {
            shareContent("pyq").then(result => {
              console.log("pyq2", result)
              wx.onMenuShareTimeline({
                title: result.data.title, // 分享标题
                link: links, // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
                imgUrl: result.data.img_url, // 分享图标
                success: (res) => {
                  // setTimeout(function(){
                  //回调要执行的代码
                  // alert(33)
                  // }, 500);
                },
                cancel: (res) => {
                  // alert(55)
                },
                fail: (res) => {
                  // alert(44)
                }
              })
            })
          }
          // wx.updateAppMessageShareData({
          //   title: title, // 分享标题
          //   desc: desc, // 分享描述
          //   link: links, // 分享链接
          //   imgUrl: imgUrl, // 分享图标
          //   success: function() {}
          // });
          // //微信分享菜单测试
          // wx.updateTimelineShareData({
          //   title: title, // 分享标题
          //   desc: desc, // 分享描述
          //   link: links, // 分享链接
          //   imgUrl: imgUrl, // 分享图标
          //   success: function() {}
          // });
          sessionStorage.setItem("jssdk_ready", 1);
        });
        wx.error(function (err) {
          alert(JSON.stringify(err));
        });
        // 1秒后，如果还没有jssdk注入，则重新调用注入请求方法
        // setTimeout(() => {
        //   if (!sessionStorage.getItem("jssdk_ready")) {
        //     this.getConfig();
        //   }
        // }, 1000);
      },
      // 判断用户是否参加了比赛
      checkUserJoin() {
        select_user_signup().then(res => {
          if (res.code === 0) {
            sessionStorage.setItem('userHaveJoinGame', String(res.data.daka_signup));
          } else {
            sessionStorage.setItem('userHaveJoinGame', 'false');
          }
        }).catch(err => {
          sessionStorage.setItem('userHaveJoinGame', 'false');
        })
      },
      // 复活卡的邀请人信息给后端
      liinShare() {
        liinShare();
      }
    }
  };
</script>